Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.loaders
Class BinaryClassDescrLoader

    java.lang.Object
      com.sun.tdk.signaturetest.loaders.BinaryClassDescrLoader

All Implemented Interfaces:
  ClassDescriptionLoader, LoadingHints

    public class BinaryClassDescrLoader

extends java.lang.Object
implements ClassDescriptionLoader, LoadingHints

This is subclass of the MemberCollectionBuilder provides searching class files in the specified class path and loading ClassDescription created via class file parsing. This class contains cache of the parsed classes. This cache is changed using LRU algorithm.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.tdk.signaturetest.loaders.LoadingHints
`LoadingHints.Hint`

Field Summary
`static boolean` | `ANNOTATION_DEFAULT_VALUES_ON`

Fields inherited from interface com.sun.tdk.signaturetest.loaders.LoadingHints
`DONT_READ_VALUES, READ_ANY_ANNOTATIONS, READ_BRIDGE, READ_SYNTETHIC`

Constructor Summary
`BinaryClassDescrLoader(Classpath classpath, java.lang.Integer bufferSize)` creates new instance.

Method Summary
`void` | `addLoadingHint(LoadingHints.Hint hint)`
`ClassDescription` | `load(java.lang.String className)` loads class with the given className
`java.util.List` | `loadCalls(java.lang.String name)`
`void` | `setIgnoreAnnotations(boolean value)`
`void` | `setLog(java.io.PrintWriter log)`
`void` | `warning(java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_DEFAULT_VALUES_ON

    public static final boolean ANNOTATION_DEFAULT_VALUES_ON

See Also:
  Constant Field Values

Constructor Detail

### BinaryClassDescrLoader

    public BinaryClassDescrLoader(Classpath classpath,
                                  java.lang.Integer bufferSize)

  creates new instance.

  Parameters:
    `classpath` - contains class files.
    `bufferSize` - size of the class cache.

Method Detail

### load

    public ClassDescription load(java.lang.String className)
                          throws java.lang.ClassNotFoundException

  loads class with the given className

  Specified by:
    `load` in interface `ClassDescriptionLoader`
  Parameters:
    `className` - className of the class required to be found.
  Throws:
    `java.lang.ClassNotFoundException`

### loadCalls

    public java.util.List loadCalls(java.lang.String name)
                             throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### warning

    public void warning(java.lang.String msg)

### setIgnoreAnnotations

    public void setIgnoreAnnotations(boolean value)

### addLoadingHint

    public void addLoadingHint(LoadingHints.Hint hint)

  Specified by:
    `addLoadingHint` in interface `LoadingHints`

### setLog

    public void setLog(java.io.PrintWriter log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD